Skip to content
Skip to main content
GET
/v3/admin/domains

List domainsBeta

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account.

Returns a list of all domains registered to your organization.

NYLAS API KEYACCESS TOKEN

Parameters

Query parameters

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
page_tokenstring

A token to fetch the next page of results. Use the next_cursor value from the previous response.

Header parameters

X-Nylas-Signature*string

A Base64-encoded signature using your private key's RSA with a 2048-bit key and an SHA-256 hashed string of the path, method, timestamp, nonce, and payload.

X-Nylas-Kid*string

The private_key_id from your Service Account JSON file.

X-Nylas-Nonce*string

A randomly generated nonce. Each request needs to have a unique nonce. If you try to reuse a nonce, Nylas rejects the request.

X-Nylas-Timestamp*number

The time when you submit your request, in seconds using the Unix timestamp format. This timestamp should fall within a 5-minute window of your real request time.

Responses

request_idstring

ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
dataarray<object>
next_cursorstring

A token to use for paginating through results. If present, pass this value as page_token in the next request.

Example: "eyJhbGciOiJIUzI1NiJ9"
GEThttps://api.us.nylas.com/v3/admin/domains?limit=50

Find your API key in the Nylas Dashboard under API Keys in your application settings.

limitinteger

The maximum number of objects to return. See Pagination for more information.

page_tokenstring

A token to fetch the next page of results. Use the next_cursor value from the previous response.